<?php

class ImageForm extends Form
{

    public function __construct()
    {

		$this->genTextRules = array(
					'min' => 0,
					'max' => 100,
					'type' => 'string',
		);
    // check if name only contains letters and whitespace
//    if (!preg_match("/^[a-zA-Z ]*$/",$name)) {

        $this->add(array(
            'name' => 'id',
            'type'  => 'hidden',
        ));

        $this->add(array(
            'name' => 'requiredFormat',
            'type'  => 'hidden',
            'value' => 'png',
        ));

        $this->add(array(
            'name' => 'inputFile',
            'type'  => 'file',
            'label' => 'Select any file from input folder: ',
            'value' => '1000000',
        ));

        $this->add(array(
            'name' => 'outputFolder',
            'type'  => 'text',
            'label' => 'Name of output folder: ',
            'rules' => $this->genTextRules,
        ));

        $this->add(array(
            'name' => 'newWidth',
            'type'  => 'text',
            'label' => 'New Wider dimension: ',
				'value' => 1200,
            'rules' => $this->genTextRules,
        ));

        $this->add(array(
            'name' => 'jpgQuality',
            'type'  => 'text',
            'label' => 'Jpeg quality: ',
				'value' => 90,
            'rules' => $this->genTextRules,
        ));

			$this->add(array(
				'name' => 'imgCb',
				'type' => 'checkbox',
				'value' => 0,
				'label' => '',
				'attributes'  => array(
				),
			));
	
			$this->add(array(
				'name' => 'dirCb',
				'type' => 'checkbox',
				'value' => 0,
				'label' => '',
			));

			$this->add(array(
				'name' => 'sortCode',
				'type' => 'checkbox',
				'value' => 0,
				'label' => 'Add sort code prefix to image name: ',
				'attributes'  => array(
//					'checked' => 'checked',
				),
			));
	
	
			$this->add(array(
				'name' => 'rotation',
				'type' => 'radio_button',
				'value' => 0,
				'label' => '',
				'options'  => array(
					0 => 'None',
					1 => '90&deg; to right',
					2 => '90&deg; to left',
					3 => '180&deg;',
				),
			));

/*
			$this->add(array(
				'name' => 'fileFormat',
				'type' => 'radio_button',
				'value' => 0,
				'label' => 'File format:',
				'options'  => array(
					0 => 'jpg',
					1 => 'png',
				),
			));
	
*/

	     $this->add(array(
	         'name' => 'path',
	         'type'  => 'hidden',
	     ));

        $this->add(array(
            'name' => 'title',
            'type'  => 'text',
            'label' => '',
            'rules' => $this->genTextRules,
				'attributes'  => array(
					'style' => 'width:400px;',
				),
        ));


        $this->add(array(
            'name' => 'submit1',
            'type'  => 'submit',
            'value' => 'View list of images',
            'id' => 'submitbutton',
        ));
        
        $this->add(array(
            'name' => 'begin',
            'type'  => 'begin',
            'value' => '#',
            'id' => 'begin',
				'attributes'  => array(
					'method' => 'post',
 					'accept-charset' => 'UTF-8',
 					'enctype' => 'multipart/form-data',
				),

        ));
        $this->add(array(
            'name' => 'end',
            'type'  => 'end',
        ));
    }

}
